using System;

namespace DM2AE
{
	// 
	public class DM1Pal16
	{
		// 
		static readonly System.Drawing.Color[] p16 = new System.Drawing.Color[] {
			System.Drawing.Color.FromArgb(  0,  0,  0),//00 00 00//
			System.Drawing.Color.FromArgb(108,108,108),//1B 1B 1B//
			System.Drawing.Color.FromArgb(144,144,144),//24 24 24//
			System.Drawing.Color.FromArgb(108, 36,  0),//1B 09 00//
			System.Drawing.Color.FromArgb(  0,216,216),//00 36 36//
			System.Drawing.Color.FromArgb(144, 72,  0),//24 12 00//
			System.Drawing.Color.FromArgb(  0,144,  0),//00 24 00//
			System.Drawing.Color.FromArgb(  0,216,  0),//00 36 00//
			System.Drawing.Color.FromArgb(255,  0,  0),//3F 3F 00//
			System.Drawing.Color.FromArgb(224,160,  0),//38 28 00//
			System.Drawing.Color.FromArgb(224,128,  0),//38 20 00//
			System.Drawing.Color.FromArgb(255,255,  0),//3F 3F 00//
			System.Drawing.Color.FromArgb( 72, 72, 72),//12 12 12//
			System.Drawing.Color.FromArgb(180,180,180),//2D 2D 2D//
			System.Drawing.Color.FromArgb(  0,  0,255),//00 00 3F//
			System.Drawing.Color.FromArgb(255,255,255) //3F 3F 3F//
		};
		// 
		public System.Drawing.Color this[int i]
		{
			get { return p16[i]; }
		}
	}
}
